summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2018-11-15 20:53:37 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2018-11-29 21:27:43 -0800
commit2f1e795c3a022ccab2eadc0fe097656d52e0efdc (patch)
treecac3dc2709efc7ac5d722a772b629a2fbad26837 /dev-ruby/vagrant_cloud
parentdev-util/vulkan-tools: Clean up blockers (diff)
downloadgentoo-2f1e795c3a022ccab2eadc0fe097656d52e0efdc.tar.gz
gentoo-2f1e795c3a022ccab2eadc0fe097656d52e0efdc.tar.bz2
gentoo-2f1e795c3a022ccab2eadc0fe097656d52e0efdc.zip
dev-ruby/vagrant_cloud: new package
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'dev-ruby/vagrant_cloud')
-rw-r--r--dev-ruby/vagrant_cloud/Manifest1
-rw-r--r--dev-ruby/vagrant_cloud/metadata.xml11
-rw-r--r--dev-ruby/vagrant_cloud/vagrant_cloud-2.0.1.ebuild30
3 files changed, 42 insertions, 0 deletions
diff --git a/dev-ruby/vagrant_cloud/Manifest b/dev-ruby/vagrant_cloud/Manifest
new file mode 100644
index 00000000000..390d5d6c00e
--- /dev/null
+++ b/dev-ruby/vagrant_cloud/Manifest
@@ -0,0 +1 @@
+DIST vagrant_cloud-2.0.1.tar.gz 12278 BLAKE2B 9d8bf72809af21e55a6fbfa4c41098a5164c5426ac1d75243f45ed71cc0be8790e06a6b512188683ef1acf2b39faf9d2d72619605ed90c2529eb69b36f4b804a SHA512 98a84200e8e34d0678be6a67872411308c32a8112b1788574baa24bb4bf2e5fd8eab4727f3e2ca56cd8251ff54d14f009145ded8d30a353a581997673a9269cc
diff --git a/dev-ruby/vagrant_cloud/metadata.xml b/dev-ruby/vagrant_cloud/metadata.xml
new file mode 100644
index 00000000000..98834cb9484
--- /dev/null
+++ b/dev-ruby/vagrant_cloud/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gyakovlev@gentoo.org</email>
+ <name>Georgy Yakovlev</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">hashicorp/vagrant_cloud</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.1.ebuild b/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.1.ebuild
new file mode 100644
index 00000000000..941860ed0cd
--- /dev/null
+++ b/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Vagrant Cloud API Library"
+HOMEPAGE="https://github.com/hashicorp/vagrant_cloud"
+SRC_URI="https://github.com/hashicorp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rest-client-2.0.2"
+ruby_add_bdepend ">=dev-ruby/rake-10.4
+ test? ( >=dev-ruby/webmock-3.0 )"
+
+all_ruby_prepare() {
+ sed -i -e '/rubocop/I s:^:#:' Rakefile || die
+}